<p-panel styleClass="form-group" [toggleable]="true" [(collapsed)]="locacaoFiltersPanelCollapsed">
  <p-header>
    Filtros
  </p-header>
  <form [formGroup]="locacaoFiltersForm" autocomplete="off">
    <s-dynamic-form [fields]="locacaoSearchFields" [form]="locacaoFiltersForm" [errorMessages]="{pattern: 'Inválido'}"></s-dynamic-form>
    <div class="ui-g">
      <div class="ui-g-12">
        <button id="filter-button" class="ui-button" type="submit" pButton [label]="'Filtrar'" (click)="locacaoearch(locacaoTable)"></button>
        <button id="clear-button" class="ui-button ui-button-link" type="button" pButton [label]="'Limpar'"
                (click)="locacaoClear(locacaoTable)"></button>
      </div>
    </div>
  </form>
</p-panel>
<p-panel>
  <p-header>
    Listagem de lcações
  </p-header>
  <div [attr.data-hidden]="!filmeGridData?.length">
    <div class="ui-g">
      <div class="ui-g-12">
        <button id="locacaoAdd" type="button" pButton [label]="'Adicionar'" *ngIf="permissions.incluir"
                (click)="locacaoAddClick()"></button>
        <button id="locacaoEdit" type="button" class="ui-button-secondary" pButton [label]="'Editar'"
                [disabled]="!locacaoSelection || locacaoSelection.length !== 1" (click)="locacaoEditClick()"></button>
        <button id="locacaoDelete" type="button" class="ui-button-secondary" pButton [label]="'Deletar'"
                (click)="locacaoDeleteClick(locacaoTable)" [disabled]="!locacaoSelection || !locacaoSelection.length"
                *ngIf="permissions.excluir"></button>
      </div>
    </div>
    <div class="ui-g">
      <div class="ui-g-12">
        <p-table #locacaoTable [value]="locacaoGridData" [columns]="locacaoGridColumns" dataKey="id" [lazy]="true"
                 [scrollable]="true" [resizableColumns]="true" sortMode="multiple" [paginator]="true"
                 [totalRecords]="locacaoTotalRecords" rows="10" [rowsPerPageOptions]="[10, 20, 50, 100]"
                 [(selection)]="locacaoSelection" (onLazyLoad)="locacaoGridChange($event)" [loading]="locacaoGridLoading">
          <ng-template pTemplate="colgroup" let-columns>
            <colgroup>
              <col *ngFor="let col of columns" [style.width]="col.width">
            </colgroup>
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th style="width: 37px">
                <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
              </th>
              <th *ngFor="let col of columns" [pSortableColumn]="col.field" pResizableColumn>
                <div class="senior-header">
                  <span class="senior-header-title">{{col.header}}</span>
                  <p-sortIcon [field]="col.field"></p-sortIcon>
                </div>
              </th>
            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-rowData let-columns>
            <tr [pSelectableRow]="rowData">
              <td style="width: 37px">
                <p-tableCheckbox [value]="rowData"></p-tableCheckbox>
              </td>
              <td (click)="locacaoSelection = [rowData]">
                <span>{{rowData["cliente"]}}</span>
              </td>
              <td (click)="locacaoSelection = [rowData]">
                <span>{{rowData["data_pedido"]}}</span>
              </td>
              <td (click)="locacaoSelection = [rowData]">
                <span>{{rowData["data_pedido"]}}</span>
              </td>
              <td (click)="locacaoSelection = [rowData]">
                  <span>{{rowData["valor"]}}</span>
                </td>
            </tr>
          </ng-template>
          <ng-template pTemplate="paginatorright">
            <span>Total de itens {{locacaoTotalRecords}}</span>
          </ng-template>
        </p-table>
      </div>
    </div>
  </div>
</p-panel>